!Programa que calcula a distância entre dois pontos, A e B, no plano cartesiano

program distancia_Pontos
    implicit none
    real x1,y1, x2, y2, distancia
     
    write (*,*) "Programa que calcula a distancia entre dois pontos, A e B, no plano cartesiano"
    
    write (*,*) "Digite as coordenadas do Ponto A, x1 e y1: " 
    read  (*,*) x1, y1
    write (*,*) "Digite as coordenadas do Ponto B, x2 e y2: " 
    read  (*,*) x2, y2 
    
    distancia =  sqrt((x2-x1)** 2 + (y2-y1)** 2)
    
    write (*,*)
    write (*,*) "A distancia entre A e B eh", distancia
    
    stop
end program distancia_pontos